# "fix" underlinking:
%define _disable_ld_no_undefined 1

%define major           4
%define libname         %mklibname %{name} %{major}
%define develname       %mklibname %{name} -d

%define significant_ver 5.0
%define date_ver        20160131

Name:           cdk
Version:        %{significant_ver}.%{date_ver}
Release:        %mkrel 2
Source0:        ftp://invisible-island.net/cdk/%{name}-%{significant_ver}-%{date_ver}.tgz
License:        BSD
Group:          System/Libraries
URL:            http://invisible-island.net/cdk/
Summary:        Curses Development Kit
BuildRequires:  ncurses-devel

%description
Cdk stands for 'Curses Development Kit' and it currently contains 21 ready
to use widgets which facilitate the speedy development of full screen
curses programs.

%package -n     %{libname}
Summary:        Cdk library
Group:          Development/C

%description -n %{libname}
This the cdk library for developing cdk-based applications.

%package -n     %{develname}
Summary:        Headers to develop cdk-based applications
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}


%description -n %{develname}
These are the header files, and cdk preprocessor for developing
cdk-based applications.

%prep
%setup -q -n %{name}-%{significant_ver}-%{date_ver}
%autopatch
perl -pi -e '/^LIB_DIR/ and s,/lib\b,/%{_lib},' Makefile.in

%build
export CFLAGS="%{optflags} -fPIC"
%configure2_5x --build=%{_build} --with-ncurses --enable-const
%make cdkshlib

%install
%make_install installCDKSHLibrary INSTALL="install -pD"

# fixes rpmlint unstripped-binary-or-object
chmod +x %{buildroot}%{_libdir}/*.so*

%files -n %{libname}
%{_libdir}/*.so.*
%files -n %{develname}
# %%doc COPYING README TODO CHANGES NOTES EXPANDING
%dir %{_docdir}/%{name}
%attr(644,root,root) %{_docdir}/%{name}/*
%{_includedir}/cdk.h
%dir %{_includedir}/%{name}
%attr(644,root,root) %{_includedir}/%{name}/*
%{_bindir}/cdk5-config
%{_libdir}/lib*.a
%{_libdir}/*.so
%{_mandir}/man3/*




%changelog
* Wed Oct 19 2016 tv <tv> 5.0.20160131-2.mga6
+ Revision: 1062374
- "fix" underlinking
- switch from %%old_configure to %%configure2_5x --build=%%{_build}

* Sat Mar 05 2016 shlomif <shlomif> 5.0.20160131-1.mga6
+ Revision: 986078
- New version 5.0-20160131

* Thu Feb 11 2016 umeabot <umeabot> 5.0.20140118-7.mga6
+ Revision: 953564
- Mageia 6 Mass Rebuild

* Thu Sep 17 2015 tv <tv> 5.0.20140118-6.mga6
+ Revision: 880245
- enable shared lib + reenable debuginfo
- reenable debuginfo & fix empty debuginfo

* Wed Sep 09 2015 neoclust <neoclust> 5.0.20140118-4.mga6
+ Revision: 875027
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 5.0.20140118-3.mga5
+ Revision: 741355
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.20140118-2.mga5
+ Revision: 678336
- Mageia 5 Mass Rebuild

* Sat May 17 2014 shlomif <shlomif> 5.0.20140118-1.mga5
+ Revision: 623355
- New version 5.0.20140118

* Fri Oct 18 2013 umeabot <umeabot> 4.9.13-7.mga4
+ Revision: 503312
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 4.9.13-6.mga3
+ Revision: 347520
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 15 2011 blino <blino> 4.9.13-5.mga1
+ Revision: 18943
- imported package cdk

